ConditionalTriggerSchema (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.ConditionalTriggerSchema class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared
Class ConditionalTriggerSchema

    java.lang.Object
      org.hyperic.hq.bizapp.shared.ConditionalTriggerSchema

    public class ConditionalTriggerSchema

extends java.lang.Object

Consolidate all conditional trigger config schemas here so that they can be shared by CLI and bizapp

Field Summary
`static java.lang.String` | `CFG_COMPARATOR`
`static java.lang.String` | `CFG_ID`
`static java.lang.String` | `CFG_NAME`
`static java.lang.String` | `CFG_OPTION`
`static java.lang.String` | `CFG_THRESHOLD`
`static java.lang.String` | `CFG_TYPE`
`static int` | `OPER_EQ`
`static int` | `OPER_GE`
`static int` | `OPER_GT`
`static int` | `OPER_LE`
`static int` | `OPER_LT`
`static int` | `OPER_NE`
`static java.lang.String[]` | `OPER_STRS`

Method Summary
`static ConfigSchema` | `getConfigSchema(int eventType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CFG_ID

    public static final java.lang.String CFG_ID

See Also:
  Constant Field Values

### CFG_COMPARATOR

    public static final java.lang.String CFG_COMPARATOR

See Also:
  Constant Field Values

### CFG_NAME

    public static final java.lang.String CFG_NAME

See Also:
  Constant Field Values

### CFG_OPTION

    public static final java.lang.String CFG_OPTION

See Also:
  Constant Field Values

### CFG_THRESHOLD

    public static final java.lang.String CFG_THRESHOLD

See Also:
  Constant Field Values

### CFG_TYPE

    public static final java.lang.String CFG_TYPE

See Also:
  Constant Field Values

### OPER_LE

    public static final int OPER_LE

See Also:
  Constant Field Values

### OPER_LT

    public static final int OPER_LT

See Also:
  Constant Field Values

### OPER_EQ

    public static final int OPER_EQ

See Also:
  Constant Field Values

### OPER_GT

    public static final int OPER_GT

See Also:
  Constant Field Values

### OPER_GE

    public static final int OPER_GE

See Also:
  Constant Field Values

### OPER_NE

    public static final int OPER_NE

See Also:
  Constant Field Values

### OPER_STRS

    public static final java.lang.String[] OPER_STRS

Method Detail

### getConfigSchema

    public static ConfigSchema getConfigSchema(int eventType)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.